package cn.iocoder.yudao.module.order.vo.orderWarehouseAdjust;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 调仓记录创建 Request VO")
public class OrderWarehouseAdjustCreateReqVO {

    @ApiModelProperty(value = "订单ID，批量以英文逗号分隔", required = true)
    @NotNull(message = "订单ID不能为空")
    private String orderIds;

    @ApiModelProperty(value = "调出仓库id")
    @NotNull(message = "调仓起始仓不能为空")
    private Long warehouseOutId;

    @ApiModelProperty(value = "调入仓库id")
    @NotNull(message = "调仓目的仓不能为空")
    private Long warehouseInId;

    @ApiModelProperty(value = "抄送人userId")
    private String[] copyUserId;

}
